Subject: Re: [bug#64711] [PATCH 26/43] gnu: cairo: Support building for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 21 Jul 2023 20:27:38 +0200

Maxim Cournoyer writes:

Hi Maxim,

> Janneke Nieuwenhuizen <[email-masked]> writes:
>
>> Maxim Cournoyer writes:
>>
>> Hi!
>>
>>> Janneke Nieuwenhuizen <[email-masked]> writes:
>>>
>>>> Liliana Marie Prikler writes:
>>>>
>>>>> Am Dienstag, dem 18.07.2023 um 16:40 +0200 schrieb Janneke
>>>>> Nieuwenhuizen:
>>>>>> Gobject-introspection and libdrm does not build for the Hurd. 
>>>>>> Poppler depends
>>>>>> on nss, which does not build for the Hurd.
>>>>>> 
>>>>>> * gnu/packages/gtk.scm (cairo)[native-inputs]: When building for the
>>>>>> Hurd, do
>>>>>> not include gobject-introspection.
>>>>>> [inputs]: Likewise, do not include libdrm, poppler.
>>>>
>>>>> Could we provide a minimal gobject-introspection that builds for the
>>>>> hurd?
>>>>
>>>> That would be nice.  Note that Debian doesn't support
>>>> gobject-introspection on the Hurd, unless I'm mistaken. 

I was mistaken; I've checked it again and gobject-introspection is
installable for the Hurd.

--8<---------------cut here---------------start------------->8---
ii  gobject-introspection 1.74.0-3     hurd-i386    Generate interface introspection data for GObject libraries
--8<---------------cut here---------------end--------------->8---

>>> I wonder what prevents gobject-introspection from running on the Hurd?
>>
>> Find build log attached.
>
> Interesting.  Debian carries no Hurd patch for it [0], and upstream
> doesn't seem to know about this issue [1].

Hmm?  Interesting indeed...

> [0]  http://deb.debian.org/debian/pool/main/g/gobject-introspection/gobject-introspection_1.76.1-1.debian.tar.xz
> [1]  https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/?sort=created_date&state=opened&search=getauxval&first_page_size=20

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com